Package org.jboss.resteasy.client.jaxrs.internal.proxy.extractors

## Class DefaultEntityExtractorFactory

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.extractors.DefaultEntityExtractorFactory

- All Implemented Interfaces:
    `EntityExtractorFactory`
  Direct Known Subclasses:
    `ResponseObjectEntityExtractorFactory`

      public class DefaultEntityExtractorFactory
      extends Object
      implements EntityExtractorFactory

  Author:
    Solomon.Duskis

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EntityExtractor` | `clientResponseExtractor` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultEntityExtractorFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EntityExtractor` | `createExtractor​(Method method)` |
    `protected EntityExtractor` | `createResponseTypeEntityExtractor​(Method method)` |
    `static EntityExtractor<javax.ws.rs.core.Response.Status>` | `createStatusExtractor​(boolean release)` |
    `static EntityExtractor` | `createVoidExtractor()` |
    `static boolean` | `isVoidReturnType​(Class<?> returnType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientResponseExtractor

          public static final EntityExtractor clientResponseExtractor

  - ### Constructor Detail

    - #### DefaultEntityExtractorFactory

          public DefaultEntityExtractorFactory()

  - ### Method Detail

    - #### createStatusExtractor

          public static EntityExtractor<javax.ws.rs.core.Response.Status> createStatusExtractor​(boolean release)

    - #### createVoidExtractor

          public static final EntityExtractor createVoidExtractor()

    - #### createExtractor

          public EntityExtractor createExtractor​(Method method)

      Specified by:
        `createExtractor` in interface `EntityExtractorFactory`

    - #### createResponseTypeEntityExtractor

          protected EntityExtractor createResponseTypeEntityExtractor​(Method method)

    - #### isVoidReturnType

          public static final boolean isVoidReturnType​(Class<?> returnType)